diff -Naur twiki/templates/changes.dragon.tmpl twiki-gmc-20041215/templates/changes.dragon.tmpl
--- twiki/templates/changes.dragon.tmpl	Tue Jul 27 19:47:25 2004
+++ twiki-gmc-20041215/templates/changes.dragon.tmpl	Wed Dec 15 16:08:20 2004
@@ -36,7 +36,7 @@
     <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%"><b>%TOPICNAME%</b></a>
     <b><font color="red">%LOCKED%</font></b>
   </td><td width="30%">
-    <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION%
+    <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION%
   </td><td width="20%">
     %AUTHOR%
   </td>
diff -Naur twiki/templates/changes.tmpl twiki-gmc-20041215/templates/changes.tmpl
--- twiki/templates/changes.tmpl	Sat May 29 08:51:36 2004
+++ twiki-gmc-20041215/templates/changes.tmpl	Wed Dec 15 16:08:34 2004
@@ -27,7 +27,7 @@
     <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%"><b>%TOPICNAME%</b></a>
     <b><font color="red">%LOCKED%</font></b>
   </td><td width="30%">
-    <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION%
+    <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION%
   </td><td width="20%">
     %AUTHOR%
   </td>
diff -Naur twiki/templates/oopsmore.tmpl twiki-gmc-20041215/templates/oopsmore.tmpl
--- twiki/templates/oopsmore.tmpl	Tue Aug  3 22:09:19 2004
+++ twiki-gmc-20041215/templates/oopsmore.tmpl	Wed Dec 15 16:08:46 2004
@@ -44,7 +44,7 @@
       * Revisions: 1.1 ... %PARAM1%
 </form>
 
-<form name="main" action="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPIC%">
+<form name="main" action="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPIC%">
    * *Compare revisions:*
       * Older revision:&nbsp;&nbsp; <input type="text" name="rev2" size="6" value="1.1" />
       * Newer revision: <input type="text" name="rev1" size="6" value="%PARAM1%" />
diff -Naur twiki/templates/oopsrev.tmpl twiki-gmc-20041215/templates/oopsrev.tmpl
--- twiki/templates/oopsrev.tmpl	Thu Jul 29 04:52:38 2004
+++ twiki-gmc-20041215/templates/oopsrev.tmpl	Wed Dec 15 16:08:58 2004
@@ -10,7 +10,7 @@
 
 ---+ Compare Revisions
 
-<form name="main" action="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPIC%">
+<form name="main" action="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPIC%">
 <table>
 <tr><td>
    * Older revision: 
diff -Naur twiki/templates/rdiff.dragon.tmpl twiki-gmc-20041215/templates/rdiff.dragon.tmpl
--- twiki/templates/rdiff.dragon.tmpl	Tue Jul 27 19:47:25 2004
+++ twiki-gmc-20041215/templates/rdiff.dragon.tmpl	Wed Dec 15 16:09:09 2004
@@ -27,7 +27,7 @@
 %TEXT%
 <br clear="all" />%REPEAT%
 %TMPL:DEF{"topicaction"}% <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPIC%">View</a>
- %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Diffs</a> %REVISIONS%
+ %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Diffs</a> %REVISIONS%
  %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/oops%SCRIPTSUFFIX%/%WEB%/%TOPIC%?template=oopsmore&amp;param1=%MAXREV%&amp;param2=%CURRREV%">More</a> %TMPL:END%
 %TMPL:P{"standardfooter"}%
 <table width="100%" border="0" cellpadding="3" cellspacing="0">
diff -Naur twiki/templates/rdiff.pattern.tmpl twiki-gmc-20041215/templates/rdiff.pattern.tmpl
--- twiki/templates/rdiff.pattern.tmpl	Sat Aug 14 07:21:22 2004
+++ twiki-gmc-20041215/templates/rdiff.pattern.tmpl	Wed Dec 15 16:09:19 2004
@@ -16,7 +16,7 @@
 
 
 %TMPL:DEF{"topicaction"}%<div class="twikiTopicAction"><a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPIC%">View topic</a>
- %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Diffs</a> %REVISIONS%
+ %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Diffs</a> %REVISIONS%
  %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/oops%SCRIPTSUFFIX%/%WEB%/%TOPIC%?template=oopsmore&amp;param1=%MAXREV%&amp;param2=%CURRREV%">More</a>
 </div>%TMPL:END%
 
diff -Naur twiki/templates/rdiff.tmpl twiki-gmc-20041215/templates/rdiff.tmpl
--- twiki/templates/rdiff.tmpl	Sat May 29 08:51:36 2004
+++ twiki-gmc-20041215/templates/rdiff.tmpl	Wed Dec 15 16:09:28 2004
@@ -26,7 +26,7 @@
 %TEXT%
 <br clear="all" />%REPEAT%
 %TMPL:DEF{"topicaction"}% <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPIC%">View</a>
- %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Diffs</a> %REVISIONS%
+ %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Diffs</a> %REVISIONS%
  %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/oops%SCRIPTSUFFIX%/%WEB%/%TOPIC%?template=oopsmore&amp;param1=%MAXREV%&amp;param2=%CURRREV%">More</a> %TMPL:END%
 %TMPL:P{"standardfooter"}%
 #PageBottom
diff -Naur twiki/templates/search.dragon.tmpl twiki-gmc-20041215/templates/search.dragon.tmpl
--- twiki/templates/search.dragon.tmpl	Tue Jul 27 19:47:25 2004
+++ twiki-gmc-20041215/templates/search.dragon.tmpl	Wed Dec 15 16:09:37 2004
@@ -30,7 +30,7 @@
     <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%"><b>%TOPICNAME%</b></a>
     <b><font color="red">%LOCKED%</font></b>
   </td><td width="30%">
-    <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION%
+    <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION%
   </td><td width="20%">
     %AUTHOR%
   </td>
diff -Naur twiki/templates/search.pattern.tmpl twiki-gmc-20041215/templates/search.pattern.tmpl
--- twiki/templates/search.pattern.tmpl	Sun Aug 22 00:35:04 2004
+++ twiki-gmc-20041215/templates/search.pattern.tmpl	Wed Dec 15 16:09:52 2004
@@ -20,7 +20,7 @@
 <div class="twikiRight" style="width:15%; text-align:left;">
 %AUTHOR%
 </div>
-<div class="twikiRight" style="width:30%; text-align:left;"><a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION%</div><br class="twikiClear" /></div>
+<div class="twikiRight" style="width:30%; text-align:left;"><a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION%</div><br class="twikiClear" /></div>
 <div class="twikiSummary twikiGrayText twikiBottomRow"><div style="width:80%;">%TEXTHEAD%</div></div></div>%REPEAT%%TMPL:END%
 
 
diff -Naur twiki/templates/search.tmpl twiki-gmc-20041215/templates/search.tmpl
--- twiki/templates/search.tmpl	Sat May 29 08:51:36 2004
+++ twiki-gmc-20041215/templates/search.tmpl	Wed Dec 15 16:10:08 2004
@@ -29,7 +29,7 @@
     <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%"><b>%TOPICNAME%</b></a>
     <b><font color="red">%LOCKED%</font></b>
   </td><td width="30%">
-    <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION%
+    <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION%
   </td><td width="20%">
     %AUTHOR%
   </td>
diff -Naur twiki/templates/searchbookview.dragon.tmpl twiki-gmc-20041215/templates/searchbookview.dragon.tmpl
--- twiki/templates/searchbookview.dragon.tmpl	Tue Jul 27 19:47:25 2004
+++ twiki-gmc-20041215/templates/searchbookview.dragon.tmpl	Wed Dec 15 16:10:24 2004
@@ -30,7 +30,7 @@
     <span class="ds-searchbookviewtitle"><a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TOPICNAME%</a>
     %LOCKED%&nbsp;</span>
   </td><td width="20%">
-    <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION% &nbsp;
+    <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION% &nbsp;
   </td><td width="20%">
     %AUTHOR%
   </td>
diff -Naur twiki/templates/searchbookview.pattern.tmpl twiki-gmc-20041215/templates/searchbookview.pattern.tmpl
--- twiki/templates/searchbookview.pattern.tmpl	Tue Aug 17 08:18:02 2004
+++ twiki-gmc-20041215/templates/searchbookview.pattern.tmpl	Wed Dec 15 16:10:36 2004
@@ -12,5 +12,5 @@
 
 
 %TMPL:DEF{"repeatedsearchblock"}%<div class="twikiSearchResultsHeader" style="background-color:%WEBBGCOLOR%">Results from %WEB% web</div>%REPEAT%<div class="twikiSearchResults">
-<div class="twikiTopRow"><a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%"><b>%TOPICNAME%</b></a> <span class="twikiAlert">%LOCKED%</span> (<a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION% - %AUTHOR%)</div>
-<div class="twikiSummary twikiBottomRow"><div style="width:80%;">%TEXTHEAD%</div></div></div>%REPEAT%%TMPL:END%
\ No newline at end of file
+<div class="twikiTopRow"><a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%"><b>%TOPICNAME%</b></a> <span class="twikiAlert">%LOCKED%</span> (<a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION% - %AUTHOR%)</div>
+<div class="twikiSummary twikiBottomRow"><div style="width:80%;">%TEXTHEAD%</div></div></div>%REPEAT%%TMPL:END%
diff -Naur twiki/templates/searchbookview.tmpl twiki-gmc-20041215/templates/searchbookview.tmpl
--- twiki/templates/searchbookview.tmpl	Sat May 29 08:51:36 2004
+++ twiki-gmc-20041215/templates/searchbookview.tmpl	Wed Dec 15 16:10:46 2004
@@ -26,7 +26,7 @@
   <td width="60%">
     <h1><a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TOPICNAME%</a> %LOCKED% &nbsp;</h1>
   </td><td width="20%">
-    <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION% &nbsp;
+    <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION% &nbsp;
   </td><td width="20%">
     %AUTHOR%
   </td>
diff -Naur twiki/templates/searchrenameview.dragon.tmpl twiki-gmc-20041215/templates/searchrenameview.dragon.tmpl
--- twiki/templates/searchrenameview.dragon.tmpl	Tue Jul 27 19:47:25 2004
+++ twiki-gmc-20041215/templates/searchrenameview.dragon.tmpl	Wed Dec 15 16:10:59 2004
@@ -34,7 +34,7 @@
   </td><td width="40%">
     <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%"><b>%TOPICNAME%</b></a> %LOCKED%
   </td><td width="25%">
-    <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION% &nbsp;
+    <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION% &nbsp;
   </td><td width="20%">
     %AUTHOR%
   </td>
diff -Naur twiki/templates/searchrenameview.pattern.tmpl twiki-gmc-20041215/templates/searchrenameview.pattern.tmpl
--- twiki/templates/searchrenameview.pattern.tmpl	Tue Aug  3 22:09:19 2004
+++ twiki-gmc-20041215/templates/searchrenameview.pattern.tmpl	Wed Dec 15 16:11:08 2004
@@ -1,7 +1,7 @@
 %TMPL:INCLUDE{"twiki"}%
 %TMPL:INCLUDE{"search"}%
 %TMPL:DEF{"repeatedsearchblock"}%%REPEAT%<tr><td class="twikiTopRow" width="6%" style="text-align:center;">%SELECTION%<input type="checkbox" class="twikiCheckbox" name="RENAME%LABEL%%TOPIC_NUMBER%" checked="checked" /><input type="hidden" name="TOPIC%LABEL%%TOPIC_NUMBER%" value="%WEB%.%TOPICNAME%" />%SELECTION% </td>
-<td class="twikiTopRow" width="46%"><a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%"><b>%WEB%.%TOPICNAME%</b></a> <span class="twikiAlert">%LOCKED%</span></td><td class="twikiTopRow" width="30%"><a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">
+<td class="twikiTopRow" width="46%"><a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%"><b>%WEB%.%TOPICNAME%</b></a> <span class="twikiAlert">%LOCKED%</span></td><td class="twikiTopRow" width="30%"><a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">
 %TIME%</a> - %REVISION%</td><td class="twikiTopRow" width="20%">%AUTHOR%</td>
 </tr><tr class="twikiBottomRow"><td class="twikiBottomRow">&nbsp;</td><td width="80%" colspan="2" class="twikiSummary twikiGrayText twikiBottomRow">%TEXTHEAD%</td><td class="twikiBottomRow" width="20%">&nbsp;</td></tr>%REPEAT%%TMPL:END%
 
diff -Naur twiki/templates/searchrenameview.tmpl twiki-gmc-20041215/templates/searchrenameview.tmpl
--- twiki/templates/searchrenameview.tmpl	Sat May 29 08:51:36 2004
+++ twiki-gmc-20041215/templates/searchrenameview.tmpl	Wed Dec 15 16:11:18 2004
@@ -32,7 +32,7 @@
   </td><td width="45%">
     <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%"><b>%TOPICNAME%</b></a> %LOCKED%
   </td><td width="25%">
-    <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION% &nbsp;
+    <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPICNAME%">%TIME%</a> - %REVISION% &nbsp;
   </td><td width="20%">
     %AUTHOR%
   </td>
diff -Naur twiki/templates/twiki.dragon.tmpl twiki-gmc-20041215/templates/twiki.dragon.tmpl
--- twiki/templates/twiki.dragon.tmpl	Tue Jul 27 19:47:25 2004
+++ twiki-gmc-20041215/templates/twiki.dragon.tmpl	Wed Dec 15 16:08:06 2004
@@ -42,7 +42,7 @@
 <div class="ds-footerrevisions">
 <a href="%SCRIPTURLPATH%/search%SCRIPTSUFFIX%/%WEB%/SearchResult?scope=text&amp;regex=on&amp;search=%SPACEDTOPIC%%5B%5EA-Za-z%5D">
 Referrers to this page</a> %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPIC%?raw=on">View raw text</a>
-%TMPL:P{"sep"}%&nbsp;<a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Revision history</a> %REVISIONS%
+%TMPL:P{"sep"}%&nbsp;<a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Revision history</a> %REVISIONS%
 </div>
 <div class="ds-footerlogininfo">
 You are logged in as: %WIKIUSERNAME%
diff -Naur twiki/templates/view.pattern.tmpl twiki-gmc-20041215/templates/view.pattern.tmpl
--- twiki/templates/view.pattern.tmpl	Wed Aug 25 08:36:16 2004
+++ twiki-gmc-20041215/templates/view.pattern.tmpl	Wed Dec 15 15:55:51 2004
@@ -50,7 +50,7 @@
 
 
 
-%TMPL:DEF{"topicaction"}%<a name="Actions"> </a><span class="twikiHidden"><br /></span><div class="twikiTopicAction">%EDITTOPIC% %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/attach%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Attach image or document</a> %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPIC%?skin=print.pattern%REVARG%">Printable version</a> %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPIC%?raw=on">Raw text</a> %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/oops%SCRIPTSUFFIX%/%WEB%/%TOPIC%?template=oopsmore&param1=%MAXREV%&param2=%CURRREV%">More topic actions</a><br />Revisions: %REVISIONS% %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Total page history</a> %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/search%SCRIPTSUFFIX%/%WEB%/SearchResult?scope=text&amp;regex=on&amp;excludetopic=%TOPIC%&amp;search=%SPACEDTOPIC%%5B%5EA-Za-z0-9%5D">Backlinks</a></div>%TMPL:END%
+%TMPL:DEF{"topicaction"}%<a name="Actions"> </a><span class="twikiHidden"><br /></span><div class="twikiTopicAction">%EDITTOPIC% %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/attach%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Attach image or document</a> %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPIC%?skin=print.pattern%REVARG%">Printable version</a> %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPIC%?raw=on">Raw text</a> %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/oops%SCRIPTSUFFIX%/%WEB%/%TOPIC%?template=oopsmore&param1=%MAXREV%&param2=%CURRREV%">More topic actions</a><br />Revisions: %REVISIONS% %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Total page history</a> %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/search%SCRIPTSUFFIX%/%WEB%/SearchResult?scope=text&amp;regex=on&amp;excludetopic=%TOPIC%&amp;search=%SPACEDTOPIC%%5B%5EA-Za-z0-9%5D">Backlinks</a></div>%TMPL:END%
 
 

diff -Naur twiki/templates/view.tmpl twiki-gmc-20041215/templates/view.tmpl
--- twiki/templates/view.tmpl   Sun Aug 15 22:06:47 2004
+++ twiki-gmc-20041215/templates/view.tmpl      Wed Dec 15 15:54:28 2004
@@ -26,7 +26,7 @@
   %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/attach%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Attach</a>
   %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/search%SCRIPTSUFFIX%/%WEB%/SearchResult?scope=text&amp;regex=on&amp;excludetopic=%TOPIC%&amp;search=%SPACEDTOPIC%%5B%5EA-Za-z0-9%5D">Ref-By</a>
   %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/view%SCRIPTSUFFIX%/%WEB%/%TOPIC%?skin=print%REVARG%">Printable</a>
-  %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Diffs</a> %REVISIONS%
+  %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPIC%">Diffs</a> %REVISIONS%
   %TMPL:P{"sep"}% <a href="%SCRIPTURLPATH%/oops%SCRIPTSUFFIX%/%WEB%/%TOPIC%?template=oopsmore&amp;param1=%MAXREV%&amp;param2=%CURRREV%">More</a> %TMPL:END%
 %TMPL:P{"standardfooter"}%
 #PageBottom
diff -Naur twiki/lib/TWiki/UI/RDiff.pm twiki-gmc-20041215/lib/TWiki/UI/RDiff.pm
--- twiki/lib/TWiki/UI/RDiff.pm	Sun Aug  8 10:28:45 2004
+++ twiki-gmc-20041215/lib/TWiki/UI/RDiff.pm	Wed Dec 15 16:05:56 2004
@@ -532,7 +532,7 @@
           $revisions .= " | &gt;";
         } else {
           $j = $i - 1;
-          $revisions .= " | <a href=\"$scriptUrlPath/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPIC%?rev1=1.$i&amp;rev2=1.$j\">&gt;</a>";
+          $revisions .= " | <a href=\"$scriptUrlPath/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPIC%?rev1=1.$i&amp;rev2=1.$j\">&gt;</a>";
         }
       }
     }
diff -Naur twiki/lib/TWiki/UI/View.pm twiki-gmc-20041215/lib/TWiki/UI/View.pm
--- twiki/lib/TWiki/UI/View.pm	Wed Aug 25 08:36:15 2004
+++ twiki-gmc-20041215/lib/TWiki/UI/View.pm	Wed Dec 15 16:06:40 2004
@@ -222,7 +222,7 @@
         $i = 1;
       } else {
         $j = $i - 1;
-        $revisions = "$revisions | <a href=\"%SCRIPTURLPATH%/rdiff%SCRIPTSUFFIX%/%WEB%/%TOPIC%?rev1=1.$i&amp;rev2=1.$j\">&gt;</a>";
+        $revisions = "$revisions | <a href=\"%SCRIPTURLPATH%/rdiff%AUTH%%SCRIPTSUFFIX%/%WEB%/%TOPIC%?rev1=1.$i&amp;rev2=1.$j\">&gt;</a>";
       }
     }
     $i = $i - 1;
diff -Naur twiki/lib/TWiki.pm twiki-gmc-20041215/lib/TWiki.pm
--- twiki/lib/TWiki.pm	Sat Nov 20 06:31:53 2004
+++ twiki-gmc-20041215/lib/TWiki.pm	Wed Dec 15 16:01:08 2004
@@ -2950,6 +2950,12 @@
     $_[0] =~ s/%PUBURLPATH%/$pubUrlPath/g;
     $_[0] =~ s/%RELATIVETOPICPATH{(.*?)}%/&handleRelativeTopicPath($1,$_[2])/ge;
 
+    if($viewScript=~/^viewauth$/) {
+      $_[0] =~ s/%AUTH%/auth/g;
+    } else {
+      $_[0] =~ s/%AUTH%//g;
+    }
+
     # Attachments
     $_[0] =~ s!%ATTACHURL%!$urlHost%ATTACHURLPATH%!g;
     # I18N: URL-encode full web, topic and filename to the native
